#encoding: utf-8
require 'mysql2'

$mid_site_connection

module  MiddleSiteConnection

  @mid_host = { 
    :host => 'mruling.nccu.edu.tw',  #mruling.nccu.edu.tw or 127.0.0.1
    :port => 3306, #3306 or 8005
    :username => "rulingcom",
    :password => "5w3iJQ9OJQMGhJibKP6YQje8",
    :database => "RSS23_NCCU_MIDDLE",
    :encoding => "UTF8"
  }

  def self.establish
    $mid_site_connection = Mysql2::Client.new(@mid_host)
  end

end